From 43c8db57c217a3c20ff6c001a8fa36f7eab59436 Mon Sep 17 00:00:00 2001
From: Callan Barrett <wizzomafizzo@gmail.com>
Date: Wed, 4 Jun 2008 23:02:30 +0800
Subject: [PATCH] Fix FS#8672

Patches can_submit_pkg(), this fixes the heaps of bugs people are having

Signed-off-by: Callan Barrett <wizzomafizzo@gmail.com>
---
 web/lib/aur.inc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/web/lib/aur.inc b/web/lib/aur.inc
index 168fa4b..25c1d71 100644
--- a/web/lib/aur.inc
+++ b/web/lib/aur.inc
@@ -357,11 +357,12 @@ function html_footer($ver="") {
 function can_submit_pkg($name="", $sid="") {
 	if (!$name || !$sid) {return 0;}
 	$dbh = db_connect();
-	$q = "SELECT MaintainerUID ";
+	$q = "SELECT MaintainerUID, DummyPkg ";
 	$q.= "FROM Packages WHERE Name = '".mysql_real_escape_string($name)."'";
 	$result = db_query($q, $dbh);
 	if (mysql_num_rows($result) == 0) {return 1;}
 	$row = mysql_fetch_row($result);
+	if ($row[1] == "1") { return 1; }
 	$my_uid = uid_from_sid($sid);
 
 	if ($row[0] == $my_uid) {
-- 
1.5.3.8

